Bug 813784 - Some of the Snowdrop files are missing licensing information
Some of the Snowdrop files are missing licensing information
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: Spring (Show other bugs)
2.0.0.ER4
Unspecified Unspecified
medium Severity low
: ER1
: 2.1.0
Assigned To: Marius Bogoevici
Karel Piwko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-18 08:36 EDT by Karel Piwko
Modified: 2013-03-03 20:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-30 10:34:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Piwko 2012-04-18 08:36:37 EDT
Not all classes from Snowdrop distribution are properly licensed:

$ find . -name '*.java' -printf '%p ' -exec head -n 2 {} \; | grep -v '\*$' | sort -u | sed 's/\(.*\)package .*$/\1/'

 * JBoss, Home of Professional Open Source.
./snowdrop-2.0.3.Final-redhat-1/deployers/deployers-core/src/main/java/org/jboss/spring/deployers/SpringContextDescriptor.java
./snowdrop-2.0.3.Final-redhat-1/deployers/deployers-core/src/main/java/org/jboss/spring/deployers/SpringParserDeployerHandler.java
./snowdrop-2.0.3.Final-redhat-1/deployers/deployers-vfs2/src/test/java/org/jboss/test/deployers/test/MockContext.java
./snowdrop-2.0.3.Final-redhat-1/deployers/deployers-vfs2/src/test/java/org/jboss/test/deployers/test/MockInitialContextFactory.java
./snowdrop-2.0.3.Final-redhat-1/deployers/deployers-vfs2/src/test/java/org/jboss/test/deployers/test/SimpleBean.java
./snowdrop-2.0.3.Final-redhat-1/deployers/deployers-vfs2/src/test/java/org/jboss/test/deployers/test/SnowdropDeployersTestCaseVfs2.java
./snowdrop-2.0.3.Final-redhat-1/deployers/deployers-vfs3/src/test/java/org/jboss/test/deployers/test/MockContext.java
./snowdrop-2.0.3.Final-redhat-1/deployers/deployers-vfs3/src/test/java/org/jboss/test/deployers/test/MockInitialContextFactory.java
./snowdrop-2.0.3.Final-redhat-1/deployers/deployers-vfs3/src/test/java/org/jboss/test/deployers/test/SimpleBean.java
./snowdrop-2.0.3.Final-redhat-1/deployers/deployers-vfs3/src/test/java/org/jboss/test/deployers/test/SnowdropDeployersTestCase.java
./snowdrop-2.0.3.Final-redhat-1/vfs/src/main/java/org/jboss/spring/vfs/context/ContextClassUtil.java
./snowdrop-2.0.3.Final-redhat-1/vfs/src/main/java/org/jboss/spring/vfs/context/DelegatingContextLoaderListener.java
./snowdrop-2.0.3.Final-redhat-1/vfs/src/main/java/org/jboss/spring/vfs/context/DelegatingDispatcherServlet.java
Comment 2 Marius Bogoevici 2012-04-25 17:33:45 EDT
Marek, this is now fixed upstream. Not sure if this requires an upstream 
release, it can be simply picked up at the next release, or it requires another 
productization build.
Comment 3 Marek Novotny 2012-04-26 04:04:50 EDT
Even Marius added that header into Java files, I have an experience and recall a thread on thecore, where Richard Fontana wrote that if all sources are licensed under one/same license, there is enough to have individual license file aside.
Comment 5 Karel Piwko 2012-09-24 10:28:20 EDT
Moved version to 2.1.0.
Comment 7 Tomas Repel 2012-10-01 09:53:26 EDT
Verified in WFK 2.1.0.ER1.
Comment 8 Karel Piwko 2012-11-30 10:34:39 EST
Distributed as a part of WFK 2.1.0.GA release.

Note You need to log in before you can comment on or make changes to this bug.